Program TSTERR;

{ Version
  File:[22,310]TSTERR.PAS
  Author: Jim Bostwick  2-Nov-83
  History:


Testing P3UTIL module(s): QIOERR, DIRERR

}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'EX:[22,320]GENERAL3.TYP';
%INCLUDE 'EX:[22,320]QIOERR.EXT';
%INCLUDE 'EX:[22,320]DIRERR.EXT';

{$list}

Var
  i:integer;
  Fubar:Boolean;

BEGIN
  writeln('error code test');
  write('enter error number, ^Z to exit:');
  while not(eof) do
    BEGIN 
    readln(i);
    Fubar := direrr('DIRERR Test',i);
    writeln(fubar);
    Fubar := qioerr('QIOERR Test',i);
    writeln(fubar);
    write('enter error number, ^Z to exit:')
    END;
  writeln('end of test.')
end.    
